import 'quill_localizations.dart';

/// The translations for Chinese (`zh`).
class FlutterQuillLocalizationsZh extends FlutterQuillLocalizations {
  FlutterQuillLocalizationsZh([super.locale = 'zh']);

  @override
  String get pasteLink => '粘贴链接';

  @override
  String get ok => '确定';

  @override
  String get selectColor => '选择颜色';

  @override
  String get gallery => '相册';

  @override
  String get link => '链接';

  @override
  String get open => '打开';

  @override
  String get copy => '复制';

  @override
  String get remove => '移除';

  @override
  String get save => '保存';

  @override
  String get zoom => '缩放';

  @override
  String get saved => '已保存';

  @override
  String get text => '文本';

  @override
  String get resize => '调整大小';

  @override
  String get width => '宽度';

  @override
  String get height => '高度';

  @override
  String get size => '大小';

  @override
  String get small => '小';

  @override
  String get large => '大';

  @override
  String get huge => '巨大';

  @override
  String get clear => '清除';

  @override
  String get font => '字体';

  @override
  String get search => '搜索';

  @override
  String get camera => '相机';

  @override
  String get video => '视频';

  @override
  String get undo => '撤销';

  @override
  String get redo => '重做';

  @override
  String get fontFamily => '字体族';

  @override
  String get fontSize => '字号';

  @override
  String get bold => '加粗';

  @override
  String get subscript => '下标';

  @override
  String get superscript => '上标';

  @override
  String get italic => '斜体';

  @override
  String get underline => '下划线';

  @override
  String get strikeThrough => '删除线';

  @override
  String get inlineCode => '行内代码';

  @override
  String get fontColor => '字体颜色';

  @override
  String get backgroundColor => '背景颜色';

  @override
  String get clearFormat => '清除格式';

  @override
  String get alignLeft => '左对齐';

  @override
  String get alignCenter => '居中';

  @override
  String get alignRight => '右对齐';

  @override
  String get justifyWinWidth => '两端对齐';

  @override
  String get textDirection => '文本方向';

  @override
  String get headerStyle => '标题样式';

  @override
  String get normal => 'Normal';

  @override
  String get heading1 => 'Heading 1';

  @override
  String get heading2 => 'Heading 2';

  @override
  String get heading3 => 'Heading 3';

  @override
  String get numberedList => '编号列表';

  @override
  String get bulletList => '项目符号列表';

  @override
  String get checkedList => '选中列表';

  @override
  String get codeBlock => '代码块';

  @override
  String get quote => '引用';

  @override
  String get increaseIndent => '增加缩进';

  @override
  String get decreaseIndent => '减少缩进';

  @override
  String get insertURL => '插入网址';

  @override
  String get visitLink => '访问链接';

  @override
  String get enterLink => '输入链接';

  @override
  String get enterMedia => '输入媒体';

  @override
  String get edit => '编辑';

  @override
  String get apply => '应用';

  @override
  String get hex => '十六进制';

  @override
  String get material => '素材';

  @override
  String get color => '颜色';

  @override
  String get findText => '查找文本';

  @override
  String get moveToPreviousOccurrence => '移到前一个匹配项';

  @override
  String get moveToNextOccurrence => '移到下一个匹配项';

  @override
  String get savedUsingTheNetwork => '使用网络保存';

  @override
  String get savedUsingLocalStorage => '使用本地存储保存';

  @override
  String get errorWhileSavingImage => '保存图像时出错';

  @override
  String get pleaseEnterTextForYourLink => "请输入链接文本（例如，'了解更多'）";

  @override
  String get pleaseEnterTheLinkURL => "请输入链接网址（例如，'https://example.com'）";

  @override
  String get pleaseEnterAValidImageURL => '请输入有效的图像网址';

  @override
  String get pleaseEnterAValidVideoURL => '请输入有效的视频URL';

  @override
  String get photo => '照片';

  @override
  String get image => '图像';

  @override
  String get caseSensitivityAndWholeWordSearch => '区分大小写和整词搜索';

  @override
  String get insertImage => '插入图像';

  @override
  String get pickAPhotoFromYourGallery => 'Pick a photo from your gallery';

  @override
  String get takeAPhotoUsingYourCamera => 'Take a photo using your camera';

  @override
  String get pasteAPhotoUsingALink => 'Paste a photo using a link';

  @override
  String get pickAVideoFromYourGallery => 'Pick a video from your gallery';

  @override
  String get recordAVideoUsingYourCamera => 'Record a video using your camera';

  @override
  String get pasteAVideoUsingALink => 'Paste a video using a link';
}

/// The translations for Chinese, as used in China (`zh_CN`).
class FlutterQuillLocalizationsZhCn extends FlutterQuillLocalizationsZh {
  FlutterQuillLocalizationsZhCn() : super('zh_CN');

  @override
  String get pasteLink => '粘贴链接';

  @override
  String get ok => '好';

  @override
  String get selectColor => '选择颜色';

  @override
  String get gallery => '相簿';

  @override
  String get link => '链接';

  @override
  String get open => '打开';

  @override
  String get copy => '复制';

  @override
  String get remove => '移除';

  @override
  String get save => '保存';

  @override
  String get zoom => '放大';

  @override
  String get saved => '已保存';

  @override
  String get text => '文字';

  @override
  String get resize => '调整大小';

  @override
  String get width => '宽度';

  @override
  String get height => '高度';

  @override
  String get size => '文字大小';

  @override
  String get small => '小字号';

  @override
  String get large => '大字号';

  @override
  String get huge => '超大字号';

  @override
  String get clear => '清除';

  @override
  String get font => '字体';

  @override
  String get search => '搜索';

  @override
  String get camera => '拍照';

  @override
  String get video => '录像';

  @override
  String get undo => '撤销';

  @override
  String get redo => '重做';

  @override
  String get fontFamily => '字体';

  @override
  String get fontSize => '字号';

  @override
  String get bold => '粗体';

  @override
  String get subscript => '下标';

  @override
  String get superscript => '上标';

  @override
  String get italic => '斜体';

  @override
  String get underline => '下划线';

  @override
  String get strikeThrough => '删除线';

  @override
  String get inlineCode => '内联代码';

  @override
  String get fontColor => '字体颜色';

  @override
  String get backgroundColor => '背景颜色';

  @override
  String get clearFormat => '清除格式';

  @override
  String get alignLeft => '左对齐';

  @override
  String get alignCenter => '居中对齐';

  @override
  String get alignRight => '右对齐';

  @override
  String get justifyWinWidth => '两端对齐';

  @override
  String get textDirection => '文本方向';

  @override
  String get headerStyle => '标题样式';

  @override
  String get numberedList => '有序列表';

  @override
  String get bulletList => '无序列表';

  @override
  String get checkedList => '任务列表';

  @override
  String get codeBlock => '代码块';

  @override
  String get quote => '引言';

  @override
  String get increaseIndent => '增加缩进';

  @override
  String get decreaseIndent => '减少缩进';

  @override
  String get insertURL => '插入链接';

  @override
  String get visitLink => '访问链接';

  @override
  String get enterLink => '输入链接';

  @override
  String get enterMedia => '输入媒体';

  @override
  String get edit => '编辑';

  @override
  String get apply => '应用';

  @override
  String get hex => '十六进制';

  @override
  String get material => '材料';

  @override
  String get color => '颜色';

  @override
  String get findText => '搜索文本';

  @override
  String get moveToPreviousOccurrence => '上一个匹配项';

  @override
  String get moveToNextOccurrence => '下一个匹配项';

  @override
  String get savedUsingTheNetwork => '通过网络保存';

  @override
  String get savedUsingLocalStorage => '使用本地存储保存';

  @override
  String get errorWhileSavingImage => '保存图像时发生错误';

  @override
  String get pleaseEnterTextForYourLink => "例如，'了解更多'";

  @override
  String get pleaseEnterTheLinkURL => "例如，'https://example.com'";

  @override
  String get pleaseEnterAValidImageURL => '请输入有效的图像URL';

  @override
  String get pleaseEnterAValidVideoURL => '请输入有效的视频URL';

  @override
  String get photo => '照片';

  @override
  String get image => '图像';

  @override
  String get caseSensitivityAndWholeWordSearch => '区分大小写和整词搜索';

  @override
  String get insertImage => '插入图像';
}

/// The translations for Chinese, as used in Hong Kong (`zh_HK`).
class FlutterQuillLocalizationsZhHk extends FlutterQuillLocalizationsZh {
  FlutterQuillLocalizationsZhHk() : super('zh_HK');

  @override
  String get pasteLink => '貼上連結';

  @override
  String get ok => '確定';

  @override
  String get selectColor => '選擇顏色';

  @override
  String get gallery => '圖片庫';

  @override
  String get link => '連結';

  @override
  String get open => '開啓';

  @override
  String get copy => '複製';

  @override
  String get remove => '移除';

  @override
  String get save => '儲存';

  @override
  String get zoom => '放大';

  @override
  String get saved => '已儲存';

  @override
  String get text => '文字';

  @override
  String get resize => '變更大小';

  @override
  String get width => '寛';

  @override
  String get height => '高';

  @override
  String get size => '大小';

  @override
  String get small => '小';

  @override
  String get large => '大';

  @override
  String get huge => '超大';

  @override
  String get clear => '清除';

  @override
  String get font => '字型';

  @override
  String get search => '搜尋';

  @override
  String get camera => '相機';

  @override
  String get video => '錄影';

  @override
  String get undo => '撤銷';

  @override
  String get redo => '重做';

  @override
  String get fontFamily => '字體';

  @override
  String get fontSize => '字號';

  @override
  String get bold => '粗體';

  @override
  String get subscript => '下標';

  @override
  String get superscript => '上標';

  @override
  String get italic => '斜體';

  @override
  String get underline => '下劃線';

  @override
  String get strikeThrough => '刪除線';

  @override
  String get inlineCode => '內聯代碼';

  @override
  String get fontColor => '字體顏色';

  @override
  String get backgroundColor => '背景顏色';

  @override
  String get clearFormat => '清除格式';

  @override
  String get alignLeft => '左對齊';

  @override
  String get alignCenter => '居中對齊';

  @override
  String get alignRight => '右對齊';

  @override
  String get justifyWinWidth => '兩端對齊';

  @override
  String get textDirection => '文本方向';

  @override
  String get headerStyle => '標題樣式';

  @override
  String get numberedList => '有序列表';

  @override
  String get bulletList => '無序列表';

  @override
  String get checkedList => '任務列表';

  @override
  String get codeBlock => '代碼塊';

  @override
  String get quote => '引言';

  @override
  String get increaseIndent => '增加縮進';

  @override
  String get decreaseIndent => '減少縮進';

  @override
  String get insertURL => '插入鏈接';

  @override
  String get visitLink => '訪問鏈接';

  @override
  String get enterLink => '輸入鏈接';

  @override
  String get enterMedia => '輸入媒體';

  @override
  String get edit => '編輯';

  @override
  String get apply => '應用';

  @override
  String get hex => '十六進制';

  @override
  String get material => '物料';

  @override
  String get color => '顏色';

  @override
  String get findText => '搜尋文本';

  @override
  String get moveToPreviousOccurrence => '上一個匹配項';

  @override
  String get moveToNextOccurrence => '下一個匹配項';

  @override
  String get savedUsingTheNetwork => '通過網絡保存';

  @override
  String get savedUsingLocalStorage => '使用本地存儲保存';

  @override
  String get errorWhileSavingImage => '保存圖像時發生錯誤';

  @override
  String get pleaseEnterTextForYourLink => "例如，'了解更多'";

  @override
  String get pleaseEnterTheLinkURL => "例如，'https://example.com'";

  @override
  String get pleaseEnterAValidImageURL => '請輸入有效的圖像URL';

  @override
  String get pleaseEnterAValidVideoURL => '請輸入有效的視頻URL';

  @override
  String get photo => '照片';

  @override
  String get image => '圖像';

  @override
  String get caseSensitivityAndWholeWordSearch => '區分大小寫和整詞搜索';

  @override
  String get insertImage => '插入圖像';
}
